summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--src/profile/proteanos.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/src/profile/proteanos.sh b/src/profile/proteanos.sh
index 28d2bbd..87001a6 100644
--- a/src/profile/proteanos.sh
+++ b/src/profile/proteanos.sh
@@ -417,6 +417,7 @@ prof_proteanos_make_initramfs()
local plat="${2}"
shift 2
local init_created=
+ local boot_created=
case "${arch}" in
*-linux-*)
@@ -426,7 +427,12 @@ prof_proteanos_make_initramfs()
else
init_created=false
fi
- mkdir -p boot
+ if ! [ -d boot ]; then
+ mkdir boot
+ boot_created=true
+ else
+ boot_created=false
+ fi
find . -xdev -a \! -path './boot/*' -a \
\! -path './prokit/*' | \
${CPIO} -o -H newc | \
@@ -435,6 +441,11 @@ prof_proteanos_make_initramfs()
if ${init_created}; then
rm -f init
fi
+ if ! ${boot_created}; then
+ find . -xdev -a \! -path './boot/*' -a \
+ \! -path './prokit/*' -a \! -type d | \
+ xargs rm -f
+ fi
;;
esac
return 1